package net.eq2online.macros.scripting.api;

/**
 * Interface for macro action context, this allows a certain execution context some level of control
 * over the actions that can execute in a given context
 * 
 * @author Adam Mummery-Smith
 */
public interface IMacroActionContext
{
	public abstract String getName();
	
	public abstract IScriptActionProvider getProvider();
	
	public abstract IVariableProvider getVariableProvider();
	
	public abstract boolean isActionAllowed(IMacroAction action, String[] params);
}
